Name:           gpredict
Version:        1.3
Release:        8%{?dist}
Summary:        Real-time satellite tracking and orbit prediction program
Group:          Applications/Communications
License:        GPLv2+
URL:            http://groundstation.sourceforge.net/gpredict/
Source0:        http://sourceforge.net/projects/gpredict/files/Gpredict/1.3/gpredict-1.3.tar.gz
Source1:        gpredict.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool >= 0.21
BuildRequires: goocanvas-devel
BuildRequires: gettext

%description
Gpredict is a real time satellite tracking and orbit prediction
program written using the Gtk+ widgets. Gpredict is targeted mainly
towards ham radio operators but others interested in satellite
tracking may find it useful as well. Gpredict uses the SGP4/SDP4
algorithms, which are compatible with the NORAD Keplerian elements.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -fr $RPM_BUILD_ROOT%{_datadir}/applications/gpredict.desktop

desktop-file-install \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/gpredict/icons/*
%{_datadir}/pixmaps/gpredict/maps/*
%{_datadir}/pixmaps/gpredict-icon.png
%{_mandir}/man1/gpredict*


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 12 2013 Jon Ciesla <limburgher@gmail.com> - 1.3-7
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 31 2012 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.3-4
- Mapped localized files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3-2
- Rebuild for new libpng

* Wed Mar 02 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.3-1
- Feature request 2873824: Flip Passes.
- Feature Request 3022617: Malaysia's location.
- Automatically refresh the Sky at a glance view every minute.
- Added more checks with hamlib communications.
- List satellite as available or selected when configuring module.
- Fixed bug 2116691: Leave network connection open.
- Fixed bug 3099314: Rotator Thrashing.
- Fixed bug 2167508: problems in rotator controller.
- Fixed bug from Ubuntu #706452: Update from local files won't work with files in UPPER case 
- Fixed bug 3171615: Searching for satellites in the satellite selector
- Fixed bug 3113190: .desktop file error
- Address bug 2945538: Pass in polar display going outside the circle (Improve the graphical portion.)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 21 2010 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.2-2
- Updated desktop file to fix icon.

* Mon Nov 15 2010 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.2-1
- Updated to newest version available (1.2).

* Tue May 04 2010 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.0-7
- Adjust for yet newer GTK, rebuild

* Tue Mar 3 2010 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.0-6
- Fix build with new linker
- Adjust for newer GTK

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.0-4
- Fix up the menu entry for Astronomy menus

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-2
- Autorebuild for GCC 4.3

* Sat Sep 29 2007 Denis Leroy <denis@poolshark.org> - 0.9.0-1
- Update to 0.9.0
- Removed tooltip patch, is now upstream

* Mon Aug 20 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-3
- Updated License tag
- Added patch for new GtkTooltip interface

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-2
- Fixed desktop StartupNotify line

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 0.8.0-1
- Update to 0.8.0

* Sun Jan 21 2007 Denis Leroy <denis@poolshark.org> - 0.7.1-1
- Update to 0.7.1

* Tue Jan  9 2007 Denis Leroy <denis@poolshark.org> - 0.7.0-1
- Update to 0.7.0, needs curl-devel

* Thu Sep 14 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- Update to 0.6.1
- Removed patch, was integrated upstream

* Tue Sep  5 2006 Denis Leroy <denis@poolshark.org> - 0.6.0-1
- Update to 0.6.0
- New gtk2 BRs. No longer needs hamlib
- Fixed desktop database file

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-4
- %%

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-1
- Bump release to 1
- Added d-f-u to BR

* Sun Feb 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.5.0-0.iva.0
- Initial RPM release.
